Open SCAP Library

Public Member Functions | Data Fields
sce_parameters Struct Reference

## Public Member Functions
struct sce_parameters * | sce_parameters_new (void)
void | sce_parameters_free (struct sce_parameters *v)
const char * | sce_parameters_get_xccdf_directory (struct sce_parameters *v)
void | sce_parameters_set_session (struct sce_parameters *v, struct sce_session *value)
| Sets SCE session to use for check results storage. More...
struct sce_session * | sce_parameters_get_session (struct sce_parameters *v)
void | sce_parameters_allocate_session (struct sce_parameters *v)
| Just a convenience shortcut of setting a session to a newly allocated session. More...

## Data Fields
char * | xccdf_directory
struct sce_session * | session

## Member Function Documentation

## ◆ sce_parameters_allocate_session()

void sce_parameters_allocate_session | ( | struct sce_parameters * | v | ) |

Just a convenience shortcut of setting a session to a newly allocated session.

The session gets automatically freed when sce_parameters are freed, don't deallocate it!

## ◆ sce_parameters_set_session()

void sce_parameters_set_session | ( | struct sce_parameters * | v,
|  | struct sce_session * | value
| ) |  |

Sets SCE session to use for check results storage.

Parameters

  v |
  value | SCE session to use (sce_parameters take ownership of it, don't deallocate it!)

The documentation for this struct was generated from the following files:

- sce_engine.c
- sce_engine_api.h